Cdiscount Product Offer
Retrieve all marketplace seller offers for a Cdiscount product, including prices, seller ratings, shipping costs, and availability.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Cdiscount product offer page URL. Pass the multiple_offer_url value returned by the Cdiscount Product API.
Example:
https://www.cdiscount.com/mp-352880-auc3283981039048.htmlHow to get this URL:
- Call the Cdiscount Product API with any product URL.
- Extract the
multiple_offer_urlfield from the response. - Use that URL as the
queryparameter here.
Note: Only URLs with the pattern /mp-{id}-{ean}.html are accepted. Regular product page URLs will not work.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/cdiscount/product/offer?query=string"{
"results": [
{
"price": 8.68,
"seller": {
"url": "https://www.cdiscount.com/mpv-1818-brico-travo.html",
"name": "brico-travo",
"type": "VENDEUR PRO",
"rating": {
"rating": 3.2,
"reviews_count": 249,
"score_percentage": 60
},
"sales_count": 16152
},
"condition": "Neuf",
"shipped_by": "brico-travo",
"availability": "En Stock !",
"delivery_time": "Entre le 10/04 et le 15/04",
"shipping_cost": "6,99€",
"shipping_country": "FRANCE"
},
{
"price": 8.19,
"seller": {
"url": "https://www.cdiscount.com/mpv-406441-NMA.html",
"name": "NMA",
"type": "VENDEUR PRO",
"rating": {
"rating": 4.2,
"reviews_count": 6,
"score_percentage": 80
},
"sales_count": 348
},
"condition": "Neuf",
"shipped_by": "NMA",
"availability": "En Stock !",
"delivery_time": "Entre le 02/04 et le 08/04",
"shipping_cost": "8,81€",
"shipping_country": "FRANCE"
}
]
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}